Meteo france integration

When I try to add the configuration for Meteo France, I get the following error:
Component error: meteo_france - Requirements for meteo_france not found: [‘meteofrance==0.3.7’].

On this page I see the latest version 0.3.8 was released on 9th October

I guess the component needs to be updated?

OK, I solved the problem. apparently uninstalling Pihole messed up DNS settings on my server, resulting in programs failing to find and download updates